Subject: Re: [MMUSIC] help - question on SDP negotiation (additional media format subject)

From: Colin Perkins <[email-masked]>
Date: Sat, 10 Mar 2007 17:32:35 +0000

On 8 Mar 2007, at 14:17, [email-masked] wrote:
> I have a question about the SDP media negotiation, regarding an  
> answer I
> have found on this address :
>
> https://lists.cs.columbia.edu/pipermail/sip-implementors/2005- 
> September/010241.html
>
> I would like to know if the answer given is specific to DTMF  
> exchanges, or
> if this is true for all possible exchanges.
> To be more specific about my question, I  can give this example :  
> is the
> following offer-answer exchange correct ?

No - it's not syntactically valid SDP, for starters. These should be  
something like the following:

> Offer:
> m: audio 8000 RTP/AVP 18 0 96
> rtpmap: 18 G729/8000
> rtpmap: 0 PCMU/8000
> fmtp:96 0-15
> rtpmap:96 telephone-event/8000

v=0
o=alice 2890844526 2890842807 IN IP4 192.168.0.1
s=-
c=IN IP4 192.168.0.1
t=0 0
m=audio 8000 RTP/AVP 18 0 96
a=rtpmap:18 G729/8000
a=rtpmap:0 PCMU/8000
a=rtpmap:96 telephone-event/8000
a=fmtp:96 0-15

> Answer
> m: audio 8000 RTP/AVP 19 0 97
> rtpmap: 19 G729/8000
> rtpmap: 0 PCMU/8000
> fmtp:97 0-15
> rtpmap:97 telephone-event/8000

v=0
o=bob 2890844526 2890842807 IN IP4 192.168.0.2
s=-
c=IN IP4 192.168.0.2
t=0 0
m=audio 8000 RTP/AVP 19 0 97
a=rtpmap:19 G729/8000
a=rtpmap:0 PCMU/8000
a=rtpmap:97 telephone-event/8000
a=ftmp:97 0-15

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic